Skip to content

Calling Plan: Inbound Barring ​

This set of APIs are tightly linked to the calling plans. An inbound barring list defines, for a trunk group, a set of countries and prefixes from which incoming calls are barred (rejected). Each inbound barring list is identified by a country and contains a list of prefixes.

Get a specific calling plan: inbound barring ​

Retrieves the calling plan inbound barring list for a trunk group.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/trunkgroups/{trunkgroup_id}/inbound_barring

Authorization ​

Required role

tenants.instance.subscriptions.instance.trunk_group.instance.inbound_barring.list

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringSystem generated universal unique ID (UUID) identifying the tenant
subscription_idintegerIndex of a subscription to retrieve the calling plan inbound barring list for
trunkgroup_idintegerIndex of a Trunk Group

URL/Query parameters ​

ParameterTypeDescriptionRequired?
page_sizeintegerUsed for pagination, determines the maximum number of records on one page of results (defaults to 10)no
searchstringUsed to perform a search through all searchable properties of a group that look like the string passedno
nextstringToken returned by a previous call, used to retrieve the next set of records (infinite scrolling)no

Response ​

Status codes ​

ParameterDescription
200The calling plan inbound barring list was found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No calling plan inbound barring list found with this uuid
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
callingPlansarrayList containing the inbound barring list calling plan objectsno
resultsintegerTotal number of results from the queryno
pagesintegerTotal number of pages according to pagination settingsno
pageintegerCurrent displayed page from the set of pagesno
nextstringA token used for infinite scrolling, to be used in the next call to retrieve subsequent records. Only present if the list of customer's licenses has to be continuedyes
Example ​
json
{
  "callingPlans": [
    {
      "classification": "standard",
      "country": "Belgium",
      "countryCode": "+32",
      "id": 2,
      "isoCode": "BE",
      "name": "Belgium IB",
      "region": "Europe",
      "risk": -1,
      "type": "call_barring_inbound"
    },
    {
      "classification": "",
      "country": "Italy",
      "countryCode": "+39",
      "id": 15,
      "isoCode": "IT",
      "name": "Italy IB",
      "region": "Europe",
      "risk": -1,
      "type": "call_barring_inbound"
    }
  ],
  "page": 1,
  "pages": 1,
  "results": 2
}

Create a calling plan: inbound barring ​

Creates an inbound barring list associated to the trunk group.

Request ​

Endpoint ​

POST /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/trunkgroups/{trunkgroup_id}/inbound_barring

Authorization ​

Required role

tenants.instance.subscriptions.instance.trunk_group.instance.inbound_barring.create

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringSystem generated universal unique ID (UUID) identifying the tenant
subscription_idintegerIndex of a subscription to retrieve the calling plan inbound barring list for
trunkgroup_idintegerIndex of a Trunk Group

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired?
countryCodestringThe country code for the inbound barring listno
countrystringThe country for the inbound barring listno
isoCodestringThe ISO code for the inbound barring listno
namestringThe name for the inbound barring listno
regionstringThe region for the inbound barring listno

Example ​

json
{
  "country": "Afghanistan",
  "countryCode": "+93",
  "isoCode": "AF",
  "name": "test",
  "region": "Asia"
}

Response ​

Status codes ​

ParameterDescription
200The calling plan inbound barring list was created successfully
400Error while creating the calling plan inbound barring list
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
countryCodestringThe country code for the inbound barring listno
countrystringThe country for the inbound barring listno
idintegerThe index of the calling plan inbound barring listno
isoCodestringThe ISO code for the inbound barring listno
namestringThe name of the calling plan inbound barring listno
regionstringThe region for the inbound barring listno
typestringThe type of the calling plan inbound barring listno
Example ​
json
{
  "country": "Afghanistan",
  "countryCode": "+93",
  "id": 335,
  "isoCode": "AF",
  "name": "test",
  "region": "Asia",
  "type": "call_barring_inbound"
}

Modify a calling plan: inbound barring ​

Updates the details an inbound barring list associated to the trunk group.

Request ​

Endpoint ​

PUT /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/trunkgroups/{trunkgroup_id}/inbound_barring/{id}

Authorization ​

Required role

tenants.instance.subscriptions.instance.trunk_group.instance.inbound_barring.instance.update

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringSystem generated universal unique ID (UUID) identifying the tenant
subscription_idintegerIndex of a subscription to retrieve the calling plan inbound barring list for
trunkgroup_idintegerIndex of a Trunk Group
idintegerID of the calling plan inbound barring list which you would like to modify

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired?
namestringNew name for the calling plan inbound barring listno

Example ​

json
{
  "name": "Belgium IB"
}

Response ​

Status codes ​

ParameterDescription
200The calling plan inbound barring list was updated successfully
400Error while updating the calling plan inbound barring list
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
idintegerThe index of the calling plan inbound barring listno
Example ​
json
{
  "id":2
}

Delete a calling plan: inbound barring ​

Deletes an inbound barring list associated to the trunk group.

Request ​

Endpoint ​

DELETE /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/trunkgroups/{trunkgroup_id}/inbound_barring/{id}

Authorization ​

Required role

tenants.instance.subscriptions.instance.trunk_group.instance.inbound_barring.instance.delete

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringSystem generated universal unique ID (UUID) identifying the tenant
subscription_idintegerIndex of a subscription to retrieve the calling plan inbound barring list for
trunkgroup_idintegerIndex of a Trunk Group
idintegerID of the calling plan inbound barring list which you would like to delete

URL/Query parameters ​

N/A

Body ​

N/A

Response ​

Status codes ​

ParameterDescription
204The calling plan inbound barring list was deleted successfully. If the calling plan inbound barring list didn't exist, the delete will be considered as being executed successfully
400Error while deleting the calling plan inbound barring list
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​

N/A

Get the list of calling plan: inbound barring prefixes ​

Retrieves the inbound barring list prefixes associated to the trunk group.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/trunkgroups/{trunkgroup_id}/inbound_barring/{id}/prefixes

Authorization ​

Required role

tenants.instance.subscriptions.instance.trunk_group.instance.inbound_barring.instance.prefixes.list

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringSystem generated universal unique ID (UUID) identifying the tenant
subscription_idintegerIndex of a subscription to retrieve the calling plan inbound barring list for
trunkgroup_idintegerIndex of a Trunk Group
idintegerID of the calling plan inbound barring list which you would like to retrieve

URL/Query parameters ​

ParameterTypeDescriptionRequired?
page_sizeintegerUsed for pagination, determines the maximum number of records on one page of results (defaults to 10)no
searchstringUsed to perform a search through all searchable properties of a group that look like the string passedno
nextstringToken returned by a previous call, used to retrieve the next set of records (infinite scrolling)no

Response ​

Status codes ​

ParameterDescription
200One or more groups found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No trunk calling plan inbound barring list prefix found
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
prefixesarrayList containing all calling plan inbound barring list prefix objects in the calling plan inbound barring listno
nextstringA token used for infinite scrolling, to be used in the next call to retrieve subsequent records. Only present if the list has to be continuedyes
Example ​
json
{
  "prefixes": [
    {
      "id": 4,
      "isExact": false,
      "name": "234",
      "prefix": "234"
    }
  ]
}

Create a calling plan: inbound barring prefix ​

Creates an inbound barring list prefixes associated to the trunk group.

Request ​

Endpoint ​

POST /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/trunkgroups/{trunkgroup_id}/inbound_barring/{id}/prefixes

Authorization ​

Required role

tenants.instance.subscriptions.instance.trunk_group.instance.inbound_barring.instance.prefixes.create

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringSystem generated universal unique ID (UUID) identifying the tenant
subscription_idintegerIndex of a subscription to retrieve the calling plan inbound barring list for
trunkgroup_idintegerIndex of a Trunk Group
idintegerID of the calling plan inbound barring list to add the prefix to

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired?
isExactstringThe is exact status for the calling plan inbound barring list prefixno
prefixstringThe prefix for the calling plan inbound barring list prefixno
namestringThe name for the calling plan inbound barring list prefixno

Example ​

json
{
  "isExact": true,
  "prefix": "456",
  "name": "456"
}

Response ​

Status codes ​

ParameterDescription
200The calling plan inbound barring list prefix was updated successfully
400Error while updating the calling plan inbound barring list prefix
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
idintegerThe index of the calling plan inbound barring list prefixno
Example ​
json
{
  "id": 34
}

Modify a calling plan: inbound barring prefix ​

Updates the details an inbound barring list prefixes associated to the trunk group.

Request ​

Endpoint ​

PUT /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/trunkgroups/{trunkgroup_id}/inbound_barring/{id}/prefixes/{pid}

Authorization ​

Required role

tenants.instance.subscriptions.instance.trunk_group.instance.inbound_barring.instance.prefixes.instance.update

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringSystem generated universal unique ID (UUID) identifying the tenant
subscription_idintegerIndex of a subscription to retrieve the calling plan inbound barring list for
trunkgroup_idintegerIndex of a Trunk Group
idintegerID of the calling plan inbound barring list
pidintegerID of the calling plan inbound barring list prefix which you would like to modify

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired?
isExactstringThe is exact status for the calling plan inbound barring list prefixno
prefixstringThe prefix for the calling plan inbound barring list prefixno
namestringThe name for the calling plan inbound barring list prefixno

Example ​

json
{
  "isExact": false,
  "prefix": "324",
  "name": "234"
}

Response ​

Status codes ​

ParameterDescription
200The calling plan inbound barring list prefix was updated successfully
400Error while updating the calling plan inbound barring list prefix
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
idintegerThe index of the calling plan inbound barring list prefixno
Example ​
json
{
  "id": 4
}

Delete a calling plan: inbound barring prefix ​

Deletes an inbound barring list prefixes associated to the trunk group.

Request ​

Endpoint ​

DELETE /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/trunkgroups/{trunkgroup_id}/inbound_barring/{id}/prefixes/{pid}

Authorization ​

Required role

tenants.instance.subscriptions.instance.trunk_group.instance.inbound_barring.instance.prefixes.instance.delete

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringSystem generated universal unique ID (UUID) identifying the tenant
subscription_idintegerIndex of a subscription to retrieve the calling plan inbound barring list for
trunkgroup_idintegerIndex of a Trunk Group
idintegerID of the calling plan inbound barring list
pidintegerID of the calling plan inbound barring list prefix which you would like to delete

URL/Query parameters ​

N/A

Body ​

N/A

Response ​

Status codes ​

ParameterDescription
204The calling plan inbound barring list prefix was deleted successfully. If the calling plan inbound barring list prefix didn't exist, the delete will be considered as being executed successfully
400Error while deleting the calling plan inbound barring list prefix
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​

N/A